Skip to content

UserTrackingFm⁠

Perform various operations for Symitar parameters.

Operations⁠

getUserTrackingFmSelectFields⁠

POST

Execute the persistent ParameterService getUserTrackingFmSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserTrackingFmLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getUserTrackingFmSelectFields
POST /nexum/627/persistent/parameter/getUserTrackingFmSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "UserTrackingFmLocator": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllUserTrackingFmFields": true,
    "UserTrackingFmFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true,
      "UserAmount19": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateUserTrackingFmByID⁠

POST

Execute the persistent ParameterService updateUserTrackingFmByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserTrackingFmLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateUserTrackingFmByID
POST /nexum/627/persistent/parameter/updateUserTrackingFmByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "UserTrackingFmLocator": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "UserTrackingFmFields": {
    "CreationDate": "string",
    "CreationTime": 0,
    "ExpireDate": "string",
    "FmLastDate": "string",
    "IdType": 0,
    "Locator": 0,
    "RecordChangeDate": "string",
    "TrackingCode": 0,
    "Type": 0,
    "UserAmount1": 0,
    "UserAmount10": 0,
    "UserAmount11": 0,
    "UserAmount12": 0,
    "UserAmount13": 0,
    "UserAmount14": 0,
    "UserAmount15": 0,
    "UserAmount16": 0,
    "UserAmount17": 0,
    "UserAmount18": 0,
    "UserAmount19": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}